function SqlCond(fn,opt,val,datatype)
{
	/**
	 * 字段名/列名
	 */
	this.FN="";
	if(typeof(fn)!="undefined")
		this.FN=fn;
	/**
	 * 运算符
	 */
	this.LC_OPT="=";
	if(typeof(opt)!="undefined")
		this.LC_OPT=opt;
	/**
	 * 值
	 */
	this.VAL=null;
	if(typeof(val)!="undefined")
		this.VAL=val;
	/**
	 * 字段数据类型
	 */
	this.DATATYPE=null;
	if(typeof(datatype)!="undefined")
		this.DATATYPE=datatype;
}
function SqlConds()
{
	/**
	 * 默认操作符
	 */
	this.RC_OPT="";
	/**
	 * 条件
	 */
	this.RC_CONDS=new Array();
	this.SetRcOpt=function(opt){
		this.RC_OPT=opt;
	};
	this.Add=function(sqlCond){
		if(this.RC_OPT=="")
			this.RC_OPT="and";
		this.RC_CONDS.push(sqlCond);
	};
}
function SqlPager()
{
	/**
	 * 页码
	 */
	this.PAGENUM;
	/**
	 * 每页数据量
	 */
	this.ROWCOUNT;
}
/**
 * SqlSort
 * @param {Object} fn
 * @param {Object} dir
 */

function SqlSort(fn,dir)
{
	this.FN=fn;
	this.DIR=dir;
}
/**
 * SqlSorts
 */
function SqlSorts()
{
	this._data=new Array();
	this.Add=function(sqlSort){
		this._data.push(sqlSort);
	};
}
function SqlQuery()
{
	/**
	 * 表名
	 */
	this.RN="";
	/**
	 * 字段列表
	 */
	this.COL="";
	/**
	 * 排序设置{SqlSorts}
	 */
	this.ORD=new Array();
	/**
	 * 查询条件{SqlConds}
	 */
	this.RC_CONDS=null;
	/**
	 * 分页设置{SqlPager}
	 */
	this.PAGE=null;
	/**
	 * 设置表名
	 * @param {String} tableName
	 */
	this.SetTable=function(tableName){
		this.RN=tableName;
	};
	this.SetPager=function(pageIndex,pageSize){
		this.PAGE=new SqlPager();
		this.PAGE.PAGENUM=pageIndex;
		this.PAGE.ROWCOUNT=pageSize;
	};
	/**
	 * 设置排序
	 * @param {SqlSorts} sqlOrders
	 */
	this.AddOrders=function(sqlOrders){
		this.ORD=this.ORD.concat(sqlOrders._data);
	};
	/**
	 * 设置排序
	 * @param {SqlSort} sqlOrder
	 */
	this.AddOrder=function(sqlOrder){
		this.ORD.push(sqlOrder);
	};
	/**
	 * 设置查询条件
	 * @param {SqlConds} sqlConds
	 */
	this.AddCond=function(sqlConds){
		this.RC_CONDS=sqlConds;
	};
	this.AddColumn=function(colNames){
		if(this.COL==null||this.COL.length<1)
			this.COL=colNames;
		else
			this.COL=this.COL+","+colNames;
	};
}
