(function(window) {
	'use strict';
	var key = "Pansoft";
	var iv = "DEV";
	var version = "1.0";

	/**
	 * TripleDES 加密
	 * @param {Object} val
	 */
	function encode(sVal,sKey,sIV) {
		if(typeof(sKey)=="undefined")
			sKey=key;
		if(typeof(sIV)=="undefined")
			sIV=iv;
		var keyBase64 = Base64.encode(sKey);
		var ivBase64 = Base64.encode(sIV);

		var keyHex = keyBase64.match(/./g);
		var ivHex = ivBase64.match(/./g);
		
		//key array 24
		var keyArray = new Array();
		for(var index = 0, idx = 0; index < 24; index++) {
			keyArray.push(keyHex[idx]);
			idx++;
			if(idx == keyHex.length)
				idx = 0;
		}
		//iv array 8
		var ivArray = new Array();
		for(var index = 0, idx = 0; index < 8; index++) {
			ivArray.push(ivHex[idx]);
			idx++;
			if(idx == ivHex.length)
				idx = 0;
		}

		var key8 = CryptoJS.enc.Utf8.parse(keyArray.join(""));
		var iv8 = CryptoJS.enc.Utf8.parse(ivArray.join(""));
		var encrypted = CryptoJS.TripleDES.encrypt(sVal, key8, {
			iv: iv8
		});
		return encrypted.toString();
	}
	window.TripleDES = {
		version: version,
		encode: encode
	};
})(this);