function nkWebServiceClient(){}
nkWebServiceClient.url="http://www.8huasheng.com:8088/GW_NK-1.0/services/GenericRequestWebService";
//nkWebServiceClient.url="http://192.168.0.36:8080/GW_NK-1.0/services/GenericRequestWebService";
nkWebServiceClient.request=function(sReqContext,sSuccessCallback,sFailedCallback){
	var params = new SOAPClientParameters();
	var d=null;
	try
	{
		d=JSON.stringify(sReqContext);
	}
	catch(e){
		return;
	}
    params.add("arg0",d);
    SOAPClient.invoke(nkWebServiceClient.url, "doRequest", params, true, function(response,soapResponse){
    	if(response instanceof Error)
    	{
    		if(typeof(sFailedCallback)=="function")
    		{
    			var e="";
    			try
    			{
    				e=(new XMLSerializer()).serializeToString(soapResponse);
    			}
    			catch(e){}
    			sFailedCallback(e,soapResponse);
    		}
    		return;
    	}
    	var data=null;
    	try
    	{
    		data=JSON.parse(response);
    	}
    	catch(e){
    		data=null;
    	}
    	if(typeof(sSuccessCallback)=="function")
    		sSuccessCallback(data);
    	
    },false);
};
/**
 * 
 * @param {Object} sUserId
 * @param {Object} sCardList
 * @param {Object} sSuccessCallback 
 * 成功返回null或已经授权的卡号
 * @param {Object} sErrorCallback
 */
nkWebServiceClient.registerCard=function(sUserId,sCardList,sSuccessCallback,sErrorCallback){
	var params = new SOAPClientParameters();
	params.add("arg0",sUserId);
	params.add("arg1",0);
	params.add("arg2",sCardList);
	SOAPClient.invoke(nkWebServiceClient.url,"registerCard",params,true,function(response,soapResponse){
		if(response instanceof Error)
		{
			sErrorCallback(response);
		}
		else
		{
			if(typeof(sSuccessCallback)=="function")
    			sSuccessCallback(response);
		}
	},false);
};
nkWebServiceClient.get=function(fid,ioid,param,sessionId,ouid,callback,error){
	var base64="";
	if(param!=null)
		base64=Base64.encode(JSON.stringify(param));
	var context=new reqContext();
	context.IO_ID=ioid;
	context.OU_ID=ouid;
	context.DATA_CONTENT=base64;
	context.F_ID=fid;
	context.SESSION_ID=sessionId;
	//console.log(JSON.stringify(context));
	
	nkWebServiceClient.request(context,function(data){
		if(typeof(data)=="object")
		{
			//console.log(JSON.stringify(data));
			if(data.DATA_TYPE=="EXCEPTION")
			{
				console.log("EXCEPTION");
				//解析返回内容
				var content=Base64.decode(data.DATA_CONTENT);
				//console.log("ex=-"+content);
				var json=null;
				try
				{
					json=JSON.parse(content);
				}
				catch(e){}
				if(typeof(error)=="function")
				{
					error(json);
				}
			}
			else
			{
				//解析返回数据
				var json=null;
				if(data.DATA_CONTENT!=null&&data.DATA_CONTENT.length>0)
				{
					var d=Base64.decode(data.DATA_CONTENT);
					if(data.DATA_TYPE=="OBJECT")
						json=JSON.parse(d);
					else
						json=d;
				}
				//console.log("d="+JSON.stringify(json));
				if(typeof(callback)=="function")
				{
					callback(json);
				}
			}	
		}
	},error);
};
/**
 * 获取表中的数据
 * @param {String} tableName
 * @param {String} colNames
 * @param {Number} pageIndex
 * @param {Number} pageSize
 * @param {SqlConds} sqlConds
 * @param {SqlSorts} sqlSorts
 * @param {Function} callback 成功回调
 * @param {Function} error 失败回调
 */
nkWebServiceClient.bindList=function(tableName,colNames,pageIndex,pageSize,sqlConds,sqlSorts,callback,error){
	var sqlQuery=new SqlQuery();
	//设置表名
	sqlQuery.SetTable(tableName);
	//设置分页
	if(pageIndex!=null&&pageSize!=null)
		sqlQuery.SetPager(pageIndex,pageSize);
	if(sqlConds!=null)
		sqlQuery.AddCond(sqlConds);
	if(sqlSorts!=null)
		sqlQuery.AddOrders(sqlSorts);
	if(colNames!=null&&colNames.length>0)
		sqlQuery.AddColumn(colNames);
	//console.log(JSON.stringify(sqlQuery));
	var param=sqlQuery;//JSON.stringify(sqlQuery);
	nkWebServiceClient.get("","103",param,session.sessionId(),session.ouid(),function(data){
		if(typeof(callback)=="function")
			callback(data);
		
	},function(e){
		console.log("error");
		if(typeof(error)=="function")
			error(e);
	});
	
};
