var task = new Array();
document.addEventListener("plusready", function() {
	ui.registerEvent();
}, false);
ui.registerEvent = function() {
	defaultSetting.applyDefaultSetting();
	ui.show("正在加载省份数据[1/3]");
	console.log("正在加载省份数据[1/3]");
	provinceManager.all(function(data){
		//ui.cache.set(provinceListKey, data,5*24*60*60);
		ui.show("正在加载市区数据[2/3]");
		console.log("正在加载市区数据[2/3]");
		cityManager.all(function(cityList){
			//ui.cache.set(cityListKey,cityList);
			ui.show("正在加载地区数据[3/3]");
			console.log("正在加载地区数据[3/3]");
			zoneManager.all(function(zoneList){
				//ui.cache.set(zoneListKey,zoneList);
				console.log("over");
				ui.present();
				ui.alert("资源加载完成~");
				mui.openWindow({
					id: 'home.html',
					url: 'home.html',
					styles: {
						popGesture: "none",
					},
					show: {
						aniShow: "none"
					},
					waiting: {
						autoShow: false
					}
				});
			});
		});
	});
};
/**
 * 持久化省市区列表
 */
ui.present = function() {
	ui.show("开始处理数据");
	var provinceList = ui.cache.get(provinceListKey);
	var cityList = ui.cache.get(cityListKey);
	var zoneList = ui.cache.get(zoneListKey);
	console.log("data is ready");
	/*
	 * <ul id="cityList" style="display:none">
	 * 	<li data-val="山东省">山东省
	 * 		<ul>
	 * 			<li data-val="济南市">济南市
	 * 				<ul>
	 * 					<li data-val="历下区">历下区</li>
	 * 					<li data-val="历城区">历城区</li>
	 * 					<li data-val="市中区">市中区</li>
	 *  				<li data-val="高新区">高新区</li>
	 * 				</ul>
	 * 			</li>
	 *		</ul>
	 * </ul>
	 * 
	 */
	//创建最外层
	var wrapper = document.createElement("div");
	var container = document.createElement("ul");
	//加到wrapper
	wrapper.appendChild(container);
	container.style.display = "none";
	container.setAttribute("id", "cityList");
	//循环创建省
	for(var pidx = 0; provinceList != null && pidx < provinceList.length; pidx++) {
		//创建省节点
		var curProvince = provinceList[pidx];
		var pli = document.createElement("li");
		pli.setAttribute("data-val", curProvince.id);
		pli.innerText = curProvince.name;
		//加到container中
		container.appendChild(pli);
		//创建省下面的ul
		var pul = document.createElement("ul");
		//加到省li中
		pli.appendChild(pul);
		//循环市，找到当前省下面的所有市
		for(var cidx = 0; cityList != null && cidx < cityList.length; cidx++) {
			var curCity = cityList[cidx];
			//找到当前省下面的市
			if(curCity.provinceId == curProvince.id) {
				var cli = document.createElement("li");
				cli.setAttribute("data-val", curCity.id);
				cli.innerText = curCity.name;
				//加到当前省下面
				pul.appendChild(cli);
				//创建市下面的ul
				var cul = document.createElement("ul");
				//加到市li中
				cli.appendChild(cul);
				//遍历市下面的所有区
				for(var zidx = 0; zoneList != null && zidx < zoneList.length; zidx++) {
					var curZone = zoneList[zidx];
					//该区属于当前市
					if(curZone.cityId == curCity.id) {
						var zli = document.createElement("li");
						zli.setAttribute("data-val", curZone.id);
						zli.innerText = curZone.name;
						cul.appendChild(zli);
					}
				}
			}
		}
	}
	plus.storage.setItem(uiCityListkey, wrapper.innerHTML);
};
/**
 * 显示消息
 * @param {String} message
 */
ui.show = function(message) {
	ui.get("message").innerHTML=message;
};