(function(window){
	'use strict';
	var userId="USER_ID";
	var userName="USER_NAME";
	var sessionId="SESSION_ID";
	var ouid="SECRET_CODE";
	var nkid="NK_ID";
	var nktype="NKTYPE";
	var deptNo="DEPTNO";
	window.session={
		userId:function(val){
			if(typeof(val)!="undefined")
				plus.storage.setItem(userId,val);
			else
				return plus.storage.getItem(userId);
		},
		userName:function(val){
			if(typeof(val)!="undefined")
				plus.storage.setItem(userName,val);
			else
				return plus.storage.getItem(userName);
		},
		/**
		 * 设置或获取sessionId
		 * @param {String} val
		 */
		sessionId:function(val){
			if(typeof(val)!="undefined")
				plus.storage.setItem(sessionId,val);
			else
				return plus.storage.getItem(sessionId);
		},
		/**
		 * 设置或获取OUID/SECRET_CODE
		 * @param {String} val
		 */
		ouid:function(val){
			if(typeof(val)!="undefined")
				plus.storage.setItem(ouid,val);
			else
				return plus.storage.getItem(ouid);
		},
		/**
		 * nkid
		 * @param {Object} val
		 */
		nkid:function(val){
			if(typeof(val)!="undefined")
				plus.storage.setItem(nkid,val);
			else
			{
				return plus.storage.getItem(nkid);
			}
				
		},
		/**
		 * 设置nktype
		 * @param {Object} val
		 */
		nkType:function(val){
			if(typeof(val)!="undefined")
				plus.storage.setItem(nktype,val);
			else
				return plus.storage.getItem(nktype);
		},
		/**
		 * 部门编号
		 * @param {Object} val
		 */
		deptNo:function(val){
			if(typeof(val)!="undefined")
				plus.storage.setItem(deptNo,val);
			else
				return plus.storage.getItem(deptNo);
		}
	};
})(window);
