if(typeof(ui) == "undefined")
	ui = {};
ui.version = "1.1.2";
ui.alert = function(msg) {
	plus.nativeUI.toast(msg);
};
ui.get = function(id) {
	if(id.indexOf(".") != -1 || id.indexOf("#") != -1)
		return mui(id);
	return document.getElementById(id);
};
ui.find = function(param) {
	var view = plus.webview.currentWebview();
	eval("var value=view." + param);
	if(view != null && typeof(value) != "undefined")
		return value;
	else
		value = plus.storage.getItem(param);
	return value;

};
ui.beginRequest = function(msg) {
	var message = "正在加载";
	if(typeof(msg) != "undefined")
		message = msg;
	plus.nativeUI.showWaiting(message);
};
ui.endRequest = function() {
	plus.nativeUI.closeWaiting();
};
ui.getVersionInfo = function(callback) {
	var xhr = new plus.net.XMLHttpRequest();
	xhr.onreadystatechange = function() {
		if(xhr.readyState == 4 && xhr.status == 200) {
			eval("var info=" + xhr.responseText);
			callback(info);
		}
	};
	xhr.open("get", "http://www.8huasheng.com/gw_admin_client_h5/version.json?" + new Date().valueOf());
	xhr.send();
};
ui.compareVersion = function(localVersion, serverVersion) {
	var local = parseInt(localVersion.replace(/\./g, ""));
	var server = parseInt(serverVersion.replace(/\./g, ""));
	//console.log("server="+server+",local="+local);
	return server > local;
};
/**
 * 检测更新
 */
ui.checkUpdate = function(callback) {
	//console.log("checkUpdate");
	ui.getVersionInfo(function(info) {
		var version = null;
		var url = null;
		var descriptions = null;
		if(mui.os.android) {
			version = info.android.version;
			url = info.android.url;
			descriptions = info.android.descriptions;
		} else {
			version = info.ios.version;
			url = info.ios.url;
			descriptions = info.ios.descriptions;
		}
		var localVersion = ui.version;
		if(ui.compareVersion(localVersion, version)) {
			plus.nativeUI.confirm("应用有更新，是否立即升级？", function(e) {
				if(e.index == 1) {
					plus.storage.setItem("checkUpdate", "0");
					//需要更新
					plus.storage.setItem("version", version);
					plus.storage.setItem("url", url);
					plus.storage.setItem("descriptions", descriptions);
					if(typeof(callback) == "function")
						callback();
					mui.openWindow({
						id: 'install',
						url: 'install.html',
						show: {
							aniShow: defaultSetting.aniType,
							duration: defaultSetting.aniDuration
						},
						styles: {
							popGesture: "close",
						},
						waiting: {
							autoShow: false
						},
						extras: {
							version: version,
							url: url,
							descriptions: descriptions
						}
					});

				} else {
					if(typeof(callback) == "function")
						callback();
					plus.storage.setItem("checkUpdate", "0");
					window.setTimeout(function() {
						plus.storage.setItem("checkUpdate", "1");
					}, 1 * 24 * 60 * 60 * 1000);
				}
			}, "智慧校园", ["否", "是"]);

		} else {
			if(typeof(callback) == "function")
				callback();
		}
	});
};